Page MenuHomeSolus

Update neovim-qt to 0.2.16.1
Closed, WontfixPublic

Description

Repo: R4070 neovim-qt
Homepage: https://github.com/equalsraf/neovim-qt/

As part of a sweeping effort I am doing to reduce outdated package count, begin regularly enforcing maintainership file inclusion in old(er) repos, and increase the likelihood of a package having a maintainer (should it be required, outside of those being handled by Core Team and Global Maintainers), this task is being created to effectively "notify" the current maintainer of the package that it needs to be updated and ensure it is regularly maintained. In the event there is no specific maintainer, either one may be specified that has regularly updated it in the past, or this task shall also be considered an RFC for a new maintainer.

During the update process, the MAINTAINERS.md file should be included if it is not already, and have the following content (replace REPLACEME with the correct value):

This file is used to indicate responsibility for the maintenance of this package. Individuals on this list should be the sole modifiers of the package, excluding cases where the Solus Team may need to perform necessary rebuilds, upgrades, or security fixes. This list should not be used for any direct contact usage. If you believe this package requires a package update, follow documentation from https://getsol.us/articles/packaging/request-a-package-update/en/. In the event this package no longer becomes sufficiently maintained, Core Team reserves the right to request a new maintainer or remove this package from the repository.

- REPLACEME FIRST NAME(S) LAST NAME(S)
  - IRC: REPLACEME
  - Email: REPLACEME

Unless the updating of the package is being blocked by other items in the stack, 30 days shall be provided to update the package. Should the package not see an update by either the maintainer or an individual volunteering to become the maintainer, Core Team reserves the right to remove it from the repository. Please note that simply volunteering for maintainership without providing a patch is not an accepted "solution" to resolving this task or preventing deprecation.

Event Timeline

JoshStrobl triaged this task as High priority.
JoshStrobl created this task.
JoshStrobl moved this task from Backlog to Update Requested on the Software board.

Hello, I am not currently using Solus, so no sense in assigning this task to me :).

JoshStrobl removed tristan957 as the assignee of this task.Jun 23 2020, 2:04 PM
JoshStrobl added a subscriber: tristan957.

Understood. Hopefully somebody will take up maintainership of this then. Best of luck in your Linux journey!

Thanks. I am sure I will be back whenever libhandy lands in the main repos (if it ever does) :P. RPM Spec is horrible. Tried to make a package and I immediately gave up. Miss the Solus format quite a bit. Good luck with your new maintainer initiative.

JoshStrobl closed this task as Wontfix.Jul 23 2020, 9:06 AM

This package is now being removed from the repository, as the grace period for a new maintainer to step up and provide a patch has lapsed. Should a new maintainer step up in the future, this package will be reevaluated against our current package inclusion policy and may not necessarily be re-included.